<?php

namespace App\ViewModels\Medico\MedicoListViewModel;

use App\Utils\Entity;

class MedicoListViewModel extends Entity {
	protected $id;
	protected $usuario_id;
	protected $cpf;
	protected $nome;
	protected $telefone_1;
	protected $email;
	protected $documento;

	public static function builder(): MedicoListViewModelBuilder {

		return new MedicoListViewModelBuilder();

	}

	public function getDocumento() {

		return $this->documento;

	}

	public function getId(): int {

		return $this->id;

	}

	public function getUsuarioId(): int {

		return $this->usuario_id;

	}

	public function getCpf(): string {

		return $this->cpf;

	}

	public function getNome(): string {

		return $this->nome;

	}

	public function getTelefone1(): string {

		return $this->telefone_1;

	}

	public function getEmail(): string {

		return $this->email;

	}

	public function setId(int $id): void {

		$this->id = $id;

	}

	public function setCpf(string $cpf): void {

		$this->cpf = $cpf;

	}

	public function setRg(string $rg): void {

		$this->rg = $rg;

	}

	public function setNome(string $nome): void {

		$this->nome = $nome;

	}

	public function setTelefone1(string $telefone_1): void {

		$this->telefone_1 = $telefone_1;

	}

	public function setEmail($email): void {

		$this->email = $email;

	}

	public function setusuarioId($usuarioid): void {

		$this->usuario_id = $usuarioid;

	}

	public function setDocumento($documento): void {

		$this->documento = $documento;

	}

}